summaryrefslogtreecommitdiffstats
path: root/old/deploy
diff options
context:
space:
mode:
authortv <tv@shackspace.de>2015-07-11 19:44:12 +0200
committertv <tv@shackspace.de>2015-07-11 19:44:12 +0200
commit2bc5c58d85990e483af8fde57ed5f2442351b69c (patch)
tree94cd29e6a98f1ce6228104055d0550e318242290 /old/deploy
parentc5fcda1390afaba71133b2ee6ac1ddd0f559ef8c (diff)
move old stuff
Diffstat (limited to 'old/deploy')
-rwxr-xr-xold/deploy15
1 files changed, 15 insertions, 0 deletions
diff --git a/old/deploy b/old/deploy
new file mode 100755
index 00000000..a9dbf45e
--- /dev/null
+++ b/old/deploy
@@ -0,0 +1,15 @@
+#! /bin/sh
+#
+# usage: ./deploy system_name [target]
+#
+set -euf
+
+system_name=$1
+target=${2-root@$system_name}
+
+nix-instantiate \
+ --argstr system-name "$system_name" \
+ --argstr deploy-target "$target" \
+ --eval --json . \
+ | jq -r . \
+ | sh